using PdfSharp.Drawing;

namespace PdfSharpPngFromStream;

public class PdfSharpTests
{
    [Fact]
    public async Task ImageAsStreamShouldWork()
    {
        using var client = new HttpClient();
        using var imageStream = await client.GetStreamAsync("https://upload.wikimedia.org/wikipedia/commons/7/70/Example.png");

        var image = XImage.FromStream(imageStream);
    }
    
    [Fact]
    public async Task ImageAsMemoryStreamShouldWork()
    {
        using var client = new HttpClient();
        using var imageStream = await client.GetStreamAsync("https://upload.wikimedia.org/wikipedia/commons/7/70/Example.png");

        using var memoryStream = new MemoryStream();
        imageStream.CopyTo(memoryStream);

        var image = XImage.FromStream(memoryStream);
    }
}